Notification

Get notification event routing

Returns the event -> channel[] routing map plus the available event catalog and channels. Accessible by workspace-admin and super roles.

GET
/api/v2/workspaces/{id}/notification-routing

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/workspaces/0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f/notification-routing"
{  "routing": {    "story.completed": [      "in_app",      "email"    ]  },  "available": {    "events": [      "string"    ],    "channels": [      "string"    ]  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}